Package org.eclipse.debug.core.model

# Interface ILogicalStructureTypeDelegate3

public interface ILogicalStructureTypeDelegate3
Optional extension to `ILogicalStructureTypeDelegate` that allows a logical structure type delegate to garbage collect its logical structures once they're no longer displayed.

Since:
  3.17
See Also:
  - `ILogicalStructureTypeDelegate`

## Method Summary

Modifier and Type
Method
Description
`void`
`releaseValue(IValue logicalStructure)`
Called when the logical structure returned from `ILogicalStructureTypeDelegate.getLogicalStructure(IValue)` is no longer used and can be discarded.

## Method Details

### releaseValue

void releaseValue(IValue logicalStructure)
Called when the logical structure returned from `ILogicalStructureTypeDelegate.getLogicalStructure(IValue)` is no longer used and can be discarded.

Parameters:
  `logicalStructure` - the logical structure value to discard